> For the complete documentation index, see [llms.txt](https://docs.verygoodsecurity.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verygoodsecurity.com/cmp/developer-resources/api/credential-management-v1-apis-calm/account-updater-v1/api-reference-v1.md).

# API Reference - V1

### Mock Responses for MasterCard

For testing purposes, in the sandbox environment the result of the card enrollment will depend on the card `number` used in the request.

The response will be available only after a card is enrolled (state changes to enrolled). During enrolling state, the response is not yet determined and initial card data is returned.

| Request              | Response                                       |
| -------------------- | ---------------------------------------------- |
| number ending with 2 | A no-change response (the card is still valid) |
| number ending with 3 | Card number updated response                   |
| number ending with 4 | Card account closed response                   |
| number ending with 5 | Card expiration date change response           |

For the following cases the state will change from enrolling to failed.

| Request                   | Response                      |
| ------------------------- | ----------------------------- |
| number ending with 1 or 7 | Account updater not supported |
| number ending with 6 or 8 | An example error response     |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verygoodsecurity.com/cmp/developer-resources/api/credential-management-v1-apis-calm/account-updater-v1/api-reference-v1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
